#
# spec file for package OpenOffice_org-libs-extern (Version 3.1.0.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           OpenOffice_org-libs-extern
Version:        3.1.1.1
Release:        1.4.moblin2
%define         ooo_build_version 3.1.1.1
%define         piece      libs-extern
#!BuildIgnore:  OpenOffice_org
# urg, ure dep is now required for cppunit ...
BuildRequires:  ImageMagick ant ant-apache-regexp bison boost-devel ccache cups-devel curl-devel db4-devel flac-devel flex gnome-vfs2-devel gperf gtk2-devel icu java-devel krb5-devel libexif mono-devel neon-devel openldap-devel pam-devel perl-Archive-Zip perl-Compress-Zlib postgresql-devel python-devel  recode unixODBC-devel unzip xml-commons-apis zip
BuildRequires:  xorg-x11-server-devel
BuildRequires:  xorg-x11-proto-xproto
BuildRequires: xorg-x11-utils

BuildRequires:  OpenOffice_org-bootstrap = %version
BuildRequires:  OpenOffice_org-ure-devel = %version
# mozilla stuff
BuildRequires:  mozilla-xulrunner190-devel
%define	      ooo_prefix	%_libdir
%define	      ooo_home		ooo3
%define	      ooo_build_tag     ooo310-m19
License:        Artistic License; BSD 3-Clause; GPL v2 or later; LaTeX Public License (LPPL); LGPL v2.1 or later; LGPL v3 only; MOZILLA PUBLIC LICENSE (MPL/NPL); X11/MIT
Group:          Productivity/Office/Suite
AutoReqProv:    on
Summary:        OpenOffice.org External Libraries
Url:            http://www.openoffice.org/
Source:         %ooo_build_tag-%piece.tar.bz2
# FIXME: hack the provides and requires (bnc#411538)
# make sure external scripts are used
%define _use_internal_dependency_generator 0
%define __find_provides /bin/sh %_sourcedir/ooo-libs-extern-prov %name
%define __find_requires /bin/sh %_sourcedir/ooo-libs-extern-req %name
Source100:      ooo-libs-extern-prov
Source101:      ooo-libs-extern-req
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64 ppc

%description
This packages provides the OpenOffice.org libraries that are built from
3rd party sources. They are used by all OpenOffice.org modules.



%package devel
Requires:       %name = %version
Requires:       OpenOffice_org-bootstrap = %version
Requires:       OpenOffice_org-ure-devel = %version
License:        Artistic License; BSD 3-Clause; GPL v2 or later; LaTeX Public License (LPPL); LGPL v2.1 or later; LGPL v3 only; MOZILLA PUBLIC LICENSE (MPL/NPL); X11/MIT
Summary:        OpenOffice.org External Libraries Development
Group:          Productivity/Office/Suite
AutoReqProv:    off

%description devel
This package allows developement based on the OpenOffice.org external
libraries API.



%package l10n-prebuilt
License:        Artistic License; BSD 3-Clause; GPL v2 or later; LaTeX Public License (LPPL); LGPL v2.1 or later; LGPL v3 only; MOZILLA PUBLIC LICENSE (MPL/NPL); X11/MIT
Summary:        Prebuilt OpenOffice.org External Libraries Localizations
Group:          Productivity/Office/Suite
AutoReqProv:    off

%description l10n-prebuilt
This package includes the prebuilt localization of OpenOffice.org
external libraries. It is not intended for a real use. It needs to be
repacked to the real architecture independent package.

This is only a temporary solution until we have an easier way to build
the OpenOffice.org localizations separately.



%prep
%setup -q -n %ooo_build_tag-%piece

%build
# setup env.
OPTFLAGS=`echo $CFLAGS|sed -e 's/-Os/-O2/g'`
export CFLAGS=$OPTFLAGS
export OO_INSTDIR=%{_libdir}/%ooo_home
export OO_TOOLSDIR=$OO_INSTDIR/ooo-build/bin
export VERBOSE=1
export EXTRA_BUILD_FLAGS=%{?jobs:-P%jobs}
export EXTRA_DMAKE_FLAGS="%{?jobs:-- -P%jobs}"
# FIXME: hack to avoid random build crash
$OO_TOOLSDIR/piece/build-generic %piece %ooo_build_tag || $OO_TOOLSDIR/piece/build-generic %piece %ooo_build_tag || $OO_TOOLSDIR/piece/build-generic %piece %ooo_build_tag

%install
# setup env.
export OO_INSTDIR=%{_libdir}/%ooo_home
export OO_TOOLSDIR=$OO_INSTDIR/ooo-build/bin
export DESTDIR=$RPM_BUILD_ROOT
$OO_TOOLSDIR/piece/install-generic %piece %ooo_build_tag

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/ldconfig

%postun devel
/sbin/ldconfig

%files -f files-%piece.txt
%defattr(-,root,root)

%files devel
%defattr(-,root,root)
%dir %ooo_prefix/%ooo_home/solver
%ooo_prefix/%ooo_home/solver/*
%exclude %ooo_prefix/%ooo_home/solver/noarch

%files l10n-prebuilt
%defattr(-,root,root)
%ooo_prefix/%ooo_home/solver/noarch

%changelog
* Tue Sep  1 2009 Anas Nashif <anas.nashif@intel.com> - 3.1.1.1
- Initial import into Moblin
* Wed Aug 26 2009 pmladek@suse.cz
- updated to the milestone ooo310-m19
- updated ooo-build to version 3.1.1.1 (3.1.1-rc1)
* Tue Aug 18 2009 pmladek@suse.cz
- updated to the milestone ooo310-m18
- updated ooo-build to version 3.1.0.99.3 (3.1.1-beta3)
* Tue Aug  4 2009 pmladek@suse.cz
- updated to the milestone ooo310-m17
- updated ooo-build to version 3.1.0.99.2 (3.1.1-beta2)
* Thu Jul 23 2009 pmladek@suse.cz
- updated to the milestone ooo310-m16
- updated ooo-build to version 3.1.0.99.1 (3.1.1-beta1)
* Mon Jun 29 2009 pmladek@suse.cz
- updated to the milestone ooo310-m14
- updated ooo-build to version 3.1.0.98.2 (3.1.1-alpha2)
* Mon Jun 15 2009 pmladek@suse.cz
- updated to the milestone ooo310-m13
- updated ooo-build to version 3.1.0.98.1 (3.1.1-alpha1)
* Thu May 28 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.6 (3.1-rc7 == final)
* Tue May 26 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.5 (3.1-rc6)
* Fri May 22 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.4 (3.1-rc5)
* Thu May 21 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.3 (3.1-rc4)
* Tue May 19 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.2 (3.1-rc3)
* Fri May 15 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.1  (3.1-rc2)
* Thu May  7 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.0  (3.1-rc1)
* Thu Apr 30 2009 pmladek@suse.cz
- updated to the milestone ooo310-m11 (3.1-rc2)
- updated ooo-build to version 3.0.99.7 (3.1-beta7)
* Fri Apr 24 2009 pmladek@suse.cz
- updated to the milestone ooo310-m10
- updated ooo-build to version 3.0.99.6 (3.1-beta6)
* Fri Apr 17 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.99.5 (3.1-beta5)
* Wed Apr  8 2009 pmladek@suse.cz
- updated to the milestone ooo310-m9
- updated ooo-build to version 3.0.99.4 (3.1-beta4)
- fixed to compile the internal icu on openSUSE-11.0 as well;
  icu-4.0 is needed
* Fri Mar 27 2009 pmladek@suse.cz
- updated to the milestone ooo310-m7
- updated ooo-build to version 3.0.99.3 (3.1-beta3)
* Fri Mar 20 2009 pmladek@suse.cz
- updated to the milestone ooo310-m6
- updated ooo-build to version 3.0.99.2 (3.1-beta2)
* Tue Mar 10 2009 pmladek@suse.cz
- updated to the milestone ooo310-m4
- updated ooo-build to version 3.0.99.1 (3.1-beta1)
- used the renamed libs-extern source tarball
- added libwpd, libwpg, libwps source tarballs for openSUSE <= 10.3
- fixed build on SLED10, openSUSE-11.3
* Fri Feb 20 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.16.1
* Fri Feb  6 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.15
* Fri Jan 23 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.13
- added ExclusiveArch: %%%%%%%%ix86 x86_64 ppc (bnc#465252)
* Fri Jan  9 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.11
* Fri Dec  5 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.10
* Fri Nov 21 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.9
* Fri Nov  7 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.8
* Mon Oct 27 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.7
- added libs_extern_sys sources when build on openSUSE <= 10.3
* Fri Oct 10 2008 pmladek@suse.cz
- updated to the milestone ooo300-m9 (3.0rc4)
- updated ooo-build to version 3.0.0.6
- added BuildIgnore OpenOffice_org to avoid cyclic build dependency
* Sat Sep 27 2008 pmladek@suse.cz
- updated to the milestone ooo300-m7 (3.0rc2)
- updated ooo-build to version 3.0.0.5
* Mon Sep 15 2008 pmladek@suse.cz
- added hack to hide dependecy on the internal redland (bnc#411538)
* Thu Sep 11 2008 pmladek@suse.cz
- split from the main OpenOffice_org package, version 3.0.0.4
